Bug 116566 - [PATCH] Access almost completely open when no users are enabled
[PATCH] Access almost completely open when no users are enabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-samba (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: Patch, Security
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-02-23 04:23 EST by Miloslav Trmac
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-08 15:45:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Don't use "invalid user = %S" (4.13 KB, patch)
2004-02-23 04:23 EST, Miloslav Trmac
no flags Details | Diff

  None (edit)
Description Miloslav Trmac 2004-02-23 04:23:08 EST
Description of problem:
When the share configuration is set up to allow access only to
the selected users and no users are selected, the tool writes
        invalid users = %S
but %S expands to the share name, so in fact almost all
users are allowed. (After globally enabling the guest user
even the guest user can access this "restricted" share.)

Samba does not really have a notion of "existing but completely
disabled share", the attached patch uses
        valid users = __redhat_config_samba_to_disallow_access__

Version-Release number of selected component (if applicable):
redhat-config-samba-1.1.4-1
Comment 1 Miloslav Trmac 2004-02-23 04:23:32 EST
Created attachment 97941 [details]
Don't use "invalid user = %S"
Comment 2 Brent Fox 2004-03-05 16:57:52 EST
fenlason: Can you provide some insight here?  Is there a better way to
create a share for which access is completely disabled?
Comment 3 Brent Fox 2004-03-08 15:45:34 EST
At arjan's suggestion, I have modified the application to pop up a
dialog when the "Only allow access to specific users" button".  The
dialog asks the user to choose at least one user from the list.  The
app will no longer allow you to create a share with no valid users
unless the "Allow access to everyone" radio button is selected.

Should be fixed in system-config-samba-1.2.5-1.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.